"use strict";

const htmlEntities = require("html-entities");

module.exports = function normalizeProduct() {
	return async function ({ data, createItem }) {
		createItem({
			id: `datasheet:st:${data.productId}`,
			data: {
				manufacturer: "STMicroelectronics",
				productID: data.productId,
				name: data.cellData["XJE010_VT-007"],
				description: htmlEntities.decode(data.cellData["XJE014_VT-007"]),
				url: data.datasheetLink
			}
		});
	};
};
